

<%# logger.info "com===#{@companies.inspect}" %>
// console.log($(".article_companies"))
<% if @companies_petition.present? %>
    $(".companies").empty().append("<%= escape_javascript render(:partial => 'company_list', :locals => { :companies_petition => @companies_petition, :companies_wage => @companies_wage, :marker => @markers }) %>")
<% else %>
    $(".companies").empty().append("<%= escape_javascript render(:partial => 'company_list', :locals => { :companies_petition => @companies_petition, :companies_wage => @companies_wage, :marker => @markers }) %>")
<% end %>
$('.chart-cell .star_icon').hide()
$('.chart-cell').on('mouseover', function(){
    // alert(1)
    // console.log($(this).children('div.star_icon'));
    $(this).children('div.star_icon').show()
    // $('.chart-cell .star_icon').show()
})
$('.chart-cell').on('mouseout', function(){
    // alert(1)
    $('.chart-cell .star_icon').hide()
})
$('.chart-cell .star_icon').on('click', function(e){
    console.log($(this).children('a.fav-icon'));
    var company_id = $(this).children('a.fav-icon').data('company-id')
    // var tab_type = $(this).data('tab-type')
    var company_name = $(this).children('a.fav-icon').data('company-name')
    var like = 'unlike'
    if($(this).children('a.fav-icon').hasClass('active') == true){
        $(this).children('a.fav-icon').removeClass('active')
        like = 'unlike'
    }else {
        $(this).children('a.fav-icon').addClass('active')
        like = 'like'
    }
    e.preventDefault()
    e.stopImmediatePropagation()
    console.log(company_id);
    console.log(company_name);
    $.ajax({
        url: '/interstride/companies/add_company_as_favorite',
        method: 'post',
        data: { company_id: company_id, company_name: company_name, like: like },
        dataType: 'script',
        // success: function(response){
        //     $('.loader').hide()
        //     console.log(response);
        //     toastr.success(response['message'])
        //     window.location.reload(true)
        // },
        // failure: function(response){
        //     $('.loader').hide()
        // }

    })
})
